#! Flux2D 12.1

newProject()
     
SketcherOption[1].magnetizationGrid = MagnetizationGrid(gridActivation='OUI', lengthGridCell=10.0, cellSubdivision=10, subdivisionPoint=10)
     
openSketcher2dContext()
     
closeSketcher2dContext()
     
buildFaces()
     
loadOverlay(name='Permanent_Magnet_DC_Motors_V2.PFO')
     
lastInstance = MotorDCM(name='MotorDCM_1',
                        rotor=RotorRounded(Darm=52.0,
                        DSh=14.0,
                        Nslot=12,
                        AShift=0.0,
                        Tw=3.5,
                        SD=15.575,
                        SO=4.0,
                        TGD=1.425,
                        TGAng=15.0),
                        stator=StatorPllSide(WFrame=3.05,
                        Lm=4.4,
                        Npole=4,
                        BetaM=143.48),
                        excentricity=ExcentricityNo(periodicity='no',
                        bdr='two_layers_airgap'),
                        lengthUnit='Millimeter',
                        DFrame=68.1,
                        meshFactor=0.5,
                        infiniteBox=InfiniteDisc(rInt=110.0,
                        rExt=140.0),
                        winding=Winding(layers_position='adjacent',
                        windingThrow=3))
     
leaveOverlay()
Overlay['PERMANENT_MAGNET_DC_MOTORS_V2'].unloadOverlay()
meshDomain()
saveProjectAs('geomeshbuilt.FLU')
     
