#! Flux2D 11.2



# Remplacer le formateur de double, limiter le nombre de chiffres
df2 = session.supervisor.getFormaterBuilder().buildIngineerFormaterWithConstantSize(4)
session.supervisor.getFormaterBuilder().setExportFormater(df2)
     

EvolutiveCurve2D(name='Torque_and_current',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
                 limitMin=0.0,
                 limitMax=720.0)]),
                 formula=['TorqueElecMag(ROTOR)',
                 'I(CO_VSOURCE)'])
     
EvolutiveCurve2D(name='Absorbed_power_and_mechanical_power',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
                 limitMin=0.0,
                 limitMax=720.0)]),
                 formula=['PowerP(CO_VSOURCE)',
                 'TorqueElecMag(ROTOR)*AngSpeed(ROTOR)*Pi()/180'])
     
EvolutiveCurve2D(name='Coil_currents',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
                 limitMin=0.0,
                 limitMax=720.0)]),
                 formula=['I(CO_COIL_1P)',
                 'I(CO_COIL_2P)',
                 'I(CO_COIL_3P)',
                 'I(CO_COIL_4P)'])
     
CurveVariation2D[ALL].exportTXT(txtFile='result/TestCase_RES',
                                mode='add')

saveProjectAs('postprocessed.FLU')
     
     

